# Class ServerBean

java.lang.Object
org.apache.zookeeper.server.quorum.ServerBean

All Implemented Interfaces:
  `ZKMBeanInfo, ServerMXBean`

Direct Known Subclasses:
  `LocalPeerBean`

public abstract class ServerBean extends Object implements ServerMXBean, ZKMBeanInfo
An abstract base class for the leader and follower MBeans.

## Constructor Summary

Constructors
Constructor
Description
`ServerBean()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getStartTime()`
`boolean`
`isHidden()`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface ServerMXBean

`getName`

### Methods inherited from interface ZKMBeanInfo

`getName`

## Constructor Details

### ServerBean

public ServerBean()

## Method Details

### isHidden

public boolean isHidden()
Description copied from interface: `ZKMBeanInfo`
If isHidden returns true, the MBean won't be registered with MBean server, and thus won't be available for management tools. Used for grouping MBeans.

Specified by:
  `isHidden` in interface `ZKMBeanInfo`
Returns:
  true if the MBean is hidden.

### getStartTime

public String getStartTime()

Specified by:
  `getStartTime` in interface `ServerMXBean`
Returns:
  the start time the server